Skip to main content
Generate Application

Authorizations

Authorization
string
header
required

Builder authentication and authorization

x-sutro-api-client
string
header
required

A unique identifier for the API Client making a request

Path Parameters

applicationId
string<uuid>
required

Response

Application generation job enqueued

id
string<uuid>
required

The job ID

implementationJobId
string
required

The implementation job ID

jobType
enum<string>
required

The type of job

Available options:
figma_code_generation,
application_generation,
follow_up_change,
slang_edit,
test
status
enum<string>
required

The current status of the job

Available options:
queued,
active,
completed,
failed,
cancelled
customerId
string<uuid>
required

The customer ID

projectId
string<uuid>
required

The project ID

metadata
object

Job-specific metadata (structure depends on jobType)

errorMessage
string | null

Error message if the job failed

errorStack
string | null

Error stack trace if the job failed

startedAt
string | null

When the job started

completedAt
string | null

When the job completed